Waiting for engine...
Skip to main content

Boomi API Control Plane REST API (MCP Registry) - Developer Portal

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Developer Portal

Developer Portal server query endpoints. Requires a Platform issued JWT or an API Control Plane session token in the Authorization header, and either a DevPortalToken or X-Custom-Domain-Origin header.

Get MCP servers published to the developer portal for an account

Get MCP server versions published to the developer portal for a given account.

Authorizations:
(devPortalSessiondevPortalToken) (devPortalSessiondevPortalOrigin)
path Parameters
accountId
required
string

Account identifier for the account being accessed.

query Parameters
cursor
string

Opaque cursor token returned as nextCursor in the previous response. Omit on the first request. Treat this value as opaque; its internal format may change.

limit
integer [ 1 .. 100 ]
Default: 30

Maximum number of items to return per page. Must be between 1 and 100.

search
string

Case-insensitive substring match against the server name.

updated_since
string <date-time>
version
string
status
string
Enum: "active" "deprecated" "deleted"
full_text_search
boolean
Default: false

Responses

Response Schema: application/json
object (PaginationMetadata)
Array of objects (ServerResponse)

Response samples

Content type
application/json
{
  • "metadata": {
    • "offsetStart": 0,
    • "nextCursor": "string",
    • "page": 0,
    • "totalPages": 0,
    • "totalElements": 0,
    • "limit": 0,
    • "count": 0
    },
  • "servers": [
    • {
      }
    ]
}

Get a specific MCP server version from the dev portal for an account

Get a specific MCP server version from the dev portal for a given account

Authorizations:
(devPortalSessiondevPortalToken) (devPortalSessiondevPortalOrigin)
path Parameters
accountId
required
string

Account identifier for the account being accessed.

serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

version
required
string

MCP server version to retrieve (for example, 1.0.0).

Responses

Response Schema: application/json
object (ServerResponseMeta)

Registry metadata for a server version response

object (ServerJSON)

Schema for a static representation of an MCP server. Used in various contexts related to discovery, installation, and configuration.

Response samples

Content type
application/json
{
  • "_meta": {
    • "com.boomi.registry/official": {
      },
    • "additionalProperties": {
      }
    },
  • "server": {
    • "name": "io.github.user/weather",
    • "description": "MCP server providing weather data and forecasts via OpenWeatherMap API",
    • "version": "1.0.2",
    • "title": "Weather API",
    • "icons": [],
    • "packages": { },
    • "remotes": { },
    • "repository": {},
    • "_meta": {
      }
    }
}

Get a specific document's content for an MCP server version from the dev portal for an account

Get a single document's content by document id, for a dev-portal-published server version.

Authorizations:
(devPortalSessiondevPortalToken) (devPortalSessiondevPortalOrigin)
path Parameters
accountId
required
string

Account identifier for the account being accessed.

serverName
required
string

URL-decoded MCP server name in namespace/name format (for example, com.example/my-server).

version
required
string

MCP server version to retrieve (for example, 1.0.0).

docId
required
string <uuid>

Identifier of the document attached to the server version.

Responses

Response Schema: application/json
uuid
string <uuid>

Unique identifier for the document

name
string

Name of the document

type
string

Type of document, e.g., HTML or MARKDOWN

sourceUrl
string

URL where the document's origin/source is

content
string or null

Full document content

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "type": "string",
  • "sourceUrl": "string",
  • "content": "string"
}